curl -X GET "https://staging-api.loyalty.lt/en/shop/products/sync-status" \
-H "X-API-Key: your_api_key" \
-H "X-API-Secret: your_api_secret"
{
"success": true,
"code": 200,
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"data": {
"total_products": 1250,
"active_products": 1100,
"inactive_products": 150,
"products_with_discount": 320,
"products_in_stock": 980,
"last_sync": "2024-12-08T14:30:00Z",
"categories_used": 45
},
"message": "Sync status retrieved"
}
Products
Products Sync Status
Get product synchronization status
GET
/
{locale}
/
shop
/
products
/
sync-status
curl -X GET "https://staging-api.loyalty.lt/en/shop/products/sync-status" \
-H "X-API-Key: your_api_key" \
-H "X-API-Secret: your_api_secret"
{
"success": true,
"code": 200,
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"data": {
"total_products": 1250,
"active_products": 1100,
"inactive_products": 150,
"products_with_discount": 320,
"products_in_stock": 980,
"last_sync": "2024-12-08T14:30:00Z",
"categories_used": 45
},
"message": "Sync status retrieved"
}
Products Sync Status
Get detailed synchronization status for partner’s products.Endpoint
GET /{locale}/shop/products/sync-status
Authentication
API key
API secret
Response
Show sync status
Show sync status
Total unique products
Currently active products
Inactive/disabled products
Products with active discounts
Products available in stock
Last synchronization timestamp
Number of categories with products
curl -X GET "https://staging-api.loyalty.lt/en/shop/products/sync-status" \
-H "X-API-Key: your_api_key" \
-H "X-API-Secret: your_api_secret"
{
"success": true,
"code": 200,
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"data": {
"total_products": 1250,
"active_products": 1100,
"inactive_products": 150,
"products_with_discount": 320,
"products_in_stock": 980,
"last_sync": "2024-12-08T14:30:00Z",
"categories_used": 45
},
"message": "Sync status retrieved"
}
⌘I